%define origname PythonMagick

Name:		pythonmagick
Version:	0.9.12
Release:	%mkrel 1
Summary:	Python interface to ImageMagick
Group:		Graphics/Utilities
License:	ImageMagick
Url:		http://www.imagemagick.org/script/index.php

Source0:	http://www.imagemagick.org/download/python/PythonMagick-%{version}.tar.xz
BuildRequires:	python-numpy-devel
BuildRequires:	pkgconfig(ImageMagick++)
BuildRequires:	libtool
BuildRequires:	pkgconfig(xt)
BuildRequires:	boost-devel

%description
PythonMagick is a boost.python based wrapper around GraphicsMagick
(http://www.graphicsmagick.org).
It wraps the C++ API of GraphicsMagick, which is much more pythonic that
the original C API.

%prep
%setup -q -n %{origname}-%{version}
%apply_patches

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std
find %{buildroot} -name "*.la" -delete

%files
%doc INSTALL LICENSE README
%{python_sitearch}/%{origname}


%changelog
* Tue Jun 21 2016 shlomif <shlomif> 0.9.12-1.mga5
+ Revision: 1037114
- Rebuild for the new libMagick++

* Wed Oct 15 2014 umeabot <umeabot> 0.9.11-4.mga5
+ Revision: 745070
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.11-3.mga5
+ Revision: 728988
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.11-2.mga5
+ Revision: 688452
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 fwang <fwang> 0.9.11-1.mga5
+ Revision: 666816
- 0.9.11
- rebuild for imagemagick

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Mar 04 2014 akien <akien> 0.9.9-1.mga5
+ Revision: 599460
- New version 0.9.9 (also fixes build failure of 0.9.8)

  + barjac <barjac>
    - rebuild against boost-1.55

* Sat Oct 19 2013 umeabot <umeabot> 0.9.8-11.mga4
+ Revision: 535199
- Mageia 4 Mass Rebuild

* Thu Sep 19 2013 fwang <fwang> 0.9.8-10.mga4
+ Revision: 481493
- rebuild for new imagemagick

* Wed Aug 07 2013 fwang <fwang> 0.9.8-9.mga4
+ Revision: 464411
- rebuild for new imagemagick

  + tv <tv>
    - fix description

* Wed Jul 10 2013 fwang <fwang> 0.9.8-8.mga4
+ Revision: 452495
- rebuild for new boost

* Tue May 28 2013 fwang <fwang> 0.9.8-7.mga4
+ Revision: 429190
- rebuild for new imagemagick

* Thu Apr 11 2013 ennael <ennael> 0.9.8-6.mga3
+ Revision: 409603
- rebuild for boost 1.53

* Sun Jan 13 2013 umeabot <umeabot> 0.9.8-5.mga3
+ Revision: 379751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Thu Dec 20 2012 fwang <fwang> 0.9.8-4.mga3
+ Revision: 333079
- rebuild for new boost

* Fri Dec 14 2012 fwang <fwang> 0.9.8-3.mga3
+ Revision: 330753
- rebuild for new imagemagick

* Thu Nov 15 2012 fwang <fwang> 0.9.8-2.mga3
+ Revision: 318134
- use python instrument to fetch inc dir

* Thu Nov 15 2012 fwang <fwang> 0.9.8-1.mga3
+ Revision: 318129
- update py2.7 patch
- more patch
- new version 0.9.8

* Fri Oct 12 2012 fwang <fwang> 0.9.7-4.mga3
+ Revision: 305137
- update rpm group
- rebuild for new imagemagick

* Thu Aug 02 2012 fwang <fwang> 0.9.7-3.mga3
+ Revision: 277966
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 0.9.7-2.mga3
+ Revision: 250114
- rebuild for new boost

* Wed Mar 07 2012 obgr_seneca <obgr_seneca> 0.9.7-1.mga2
+ Revision: 220894
- changed BR on ImageMagick
- added patch for not using locate in configure
- added boost-devel to BR
- imported package pythonmagick

